Subject: Re: bug#46777: 28.0.50; ERC: NickServ identification: Prompt for password after other sources, overall simplifications

From: Olivier Certner <[email-masked]>
Date: Fri, 17 Sep 2021 09:57:29 +0200

Hi all,

Sorry for not having much time to respond, and thanks for having handled the 
compatibility concern through proposals 1 & 2, which I agree with. In 
particular, it is best that PASSWORD remains the first parameter to `erc-
nickserv-identify', for compatibility but practical use also , since the nick 
is normally already set when this function is called (non-interactively).

The only thing I might have done differently is deleting `erc-nickserv-call-
identify-function' instead of obsoleting it since, contrary to `erc-nickserv-
identify', I don't think people would use it directly (the name sounds too 
much "internal"; I may be wrong on its actual use, though). But your approach 
is the most prudent one.

I'll try to hang around in #erc and respond to your mails a bit more quickly, 
at least for matters that do not take much time.

Thanks,
Olivier